Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest.report
Class KflSorter.TestDiff

    java.lang.Object
      com.sun.javatest.report.KflSorter.TestDiff

All Implemented Interfaces:
  java.lang.Comparable

Enclosing class:
  KflSorter

    public static class KflSorter.TestDiff

extends java.lang.Object
implements java.lang.Comparable

Created for each result which somehow does not match what was expected based on the KFL. Using this class allows the analysis to be done once then queried again and again for different purposes.

Constructor Summary
`KflSorter.TestDiff(java.lang.String url, java.lang.String tc, TestResult tr, KflSorter.Transitions type)`
`KflSorter.TestDiff(java.lang.String url, TestResult tr, KflSorter.Transitions type)`

Method Summary
`int` | `compareTo(java.lang.Object o)`
`KnownFailuresList.Entry` | `getKflEntry()` Not normally used, but can be used as a secondary way to get the associated KFL entry.
`java.lang.String` | `getName()` Get the full name for this entry, including the test case.
`java.lang.String` | `getTestCase()` Get the list of the test case(s).
`java.lang.String` | `getTestName()` Get the name of the test involved in this diff, not including the test case portion if that applies.
`TestResult` | `getTestResult()`
`boolean` | `isTestMismatch()` Is the mismatch concerning the test's main result?
`void` | `setKflEntry(KnownFailuresList.Entry e)` Not normally used, but can be used as a backup if there is a special case where looking up the entry later would fail.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KflSorter.TestDiff

    public KflSorter.TestDiff(java.lang.String url,
                              TestResult tr,
                              KflSorter.Transitions type)

### KflSorter.TestDiff

    public KflSorter.TestDiff(java.lang.String url,
                              java.lang.String tc,
                              TestResult tr,
                              KflSorter.Transitions type)

Method Detail

### getTestResult

    public TestResult getTestResult()

### isTestMismatch

    public boolean isTestMismatch()

  Is the mismatch concerning the test's main result?

  Returns:
    True if the result status is not the same as the result expected based on the KFL. False if the main result matches.

### getName

    public java.lang.String getName()

  Get the full name for this entry, including the test case. Most useful for display purposes.

  Returns:
    An easily human readable string.
  See Also:
    `getTestName()`, `getTestCase()`

### getTestName

    public java.lang.String getTestName()

  Get the name of the test involved in this diff, not including the test case portion if that applies.

  See Also:
    `getName()`

### getTestCase

    public java.lang.String getTestCase()

  Get the list of the test case(s).

  Returns:
    Null if there are no test cases associated, otherwise a comma separated string of test case names.

### getKflEntry

    public KnownFailuresList.Entry getKflEntry()

  Not normally used, but can be used as a secondary way to get the associated KFL entry. Typically this value will be null.

  Returns:
    A KFL entry which caused this diff.

### setKflEntry

    public void setKflEntry(KnownFailuresList.Entry e)

  Not normally used, but can be used as a backup if there is a special case where looking up the entry later would fail.

  Parameters:
    `e` - The KFL entry to associate with this diff.

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2010, Oracle and/or its affiliates. All rights reserved.